Class | YARD::Handlers::Ruby::ClassConditionHandler
In: | lib/yard/handlers/ruby/class_condition_handler.rb
Parent: | YARD::Handlers::Ruby::Base

Matches if/unless conditions inside classes and attempts to process only one branch (by evaluating the condition if possible).

@example A simple class conditional

      class Foo
        if 0
          # This method is ignored
          def xyz; end
        end
      end

### Methods

parse_condition parse_else_block parse_then_block

### Protected Instance methods

parse_condition()

Parses the condition part of the if/unless statement

@return [true, false, nil] true if the condition can be definitely

      parsed to true, false if not, and nil if the condition cannot be
      parsed with certainty (it's dynamic)

parse_else_block()
parse_then_block()

[Validate]